Contacts
Delete multiple contacts
Deletes every contact in contactIds that resolves in this workspace. Ids that don’t resolve are skipped and reported back in skippedContactIds rather than failing the whole request.
POST
/
v1
/
contacts
/
bulk
/
delete
Delete multiple contacts
curl --request POST \
--url https://app.chatbotx.io/api/v1/contacts/bulk/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIds": [
"<string>"
]
}
'import requests
url = "https://app.chatbotx.io/api/v1/contacts/bulk/delete"
payload = { "contactIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contactIds: ['<string>']})
};
fetch('https://app.chatbotx.io/api/v1/contacts/bulk/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"processed": 123,
"skippedContactIds": [
"<string>"
]
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
bearerAuthdeveloperAccessTokentokenInSearchParams
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Up to 1000 contact ids.
Required array length:
1 - 1000 elementsPattern:
^\d+$Was this page helpful?
⌘I
Delete multiple contacts
